#!/usr/bin/perl
BEGIN {
  unshift(@INC, "/usr/lib/sporum");
}

use SPDB;
use strict;

sub main{
  my $spdb = SPDB->new;
  $spdb->db_delete("Users", 
		  "TO_DAYS(NOW()) - TO_DAYS(registered) >= 1
                   AND active=0 ");
  my ($uids) = $spdb->db_select_many(1, 
				    "U.uid", "Posts AS P, Users AS U",
				    "P.uid<>U.uid AND U.active=2");
  my $where;
  foreach (@$uids){
    my ($uid) = @$_;
    $where .= "uid=$uid OR "; 
  }
  $where =~ s/(.+) OR $/$1/;
  $spdb->db_delete("Users", $where) if $where;
}

main();
