#!/usr/bin/perl

BEGIN {
  unshift(@INC, "/usr/lib/sporum");
}

use SmallPig;
use SPDB;

use Ops::Admin;

use strict;
use vars qw($DBH);

my $admin = Ops::Admin->new();
my $spdb ||= SPDB->new;
my $DBH = $spdb->{'dbh'};

sub main{
  my ($boards) = $spdb->db_select_many(1, "sid, expire", "Boards");

  foreach (@$boards){
    my ($sid, $expire) = @$_;
    
    if($expire != 0){
      $admin->expire_threads_by_date($sid, $expire);
    }
    else{
      #--- never expire ---# 
    }
  }
 }

main();
